require 'httparty'
require 'json'

BASE_URI = 'https://emostafa-gitlab-ci.herokuapp.com'

class RdhApi

  def self.get(gem_name, version, os)
    uri =  BASE_URI + '/api/gems/' + gem_name
    options = {os: os, version: version}

    resp = HTTParty.get(uri, options)
    if resp.code != 200
      return {success: false, code: resp.code}
    end
    return {success: true, results: JSON.parse(resp.body), os: os}
  end

  def self.create(gem_name, version, dependencies)
    body = {dependencies: dependencies, version: version}
    uri =  BASE_URI + '/api/gems/' + gem_name

    HTTParty.post(uri, :body => body.to_json, :headers => { 'Content-Type' => 'application/json' })
  end
end
